## org.apache.hadoop.fs
Class FsUrlStreamHandlerFactory

    java.lang.Object
      org.apache.hadoop.fs.FsUrlStreamHandlerFactory

All Implemented Interfaces:
  URLStreamHandlerFactory

    public class FsUrlStreamHandlerFactory

extends Object
implements URLStreamHandlerFactory

Factory for URL stream handlers. There is only one handler whose job is to create UrlConnections. A FsUrlConnection relies on FileSystem to choose the appropriate FS implementation. Before returning our handler, we make sure that FileSystem knows an implementation for the requested scheme/protocol.

Constructor Summary
`FsUrlStreamHandlerFactory()`
`FsUrlStreamHandlerFactory(Configuration conf)`

Method Summary
`URLStreamHandler` `createURLStreamHandler(String protocol)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FsUrlStreamHandlerFactory

    public FsUrlStreamHandlerFactory()

### FsUrlStreamHandlerFactory

    public FsUrlStreamHandlerFactory(Configuration conf)

Method Detail

### createURLStreamHandler

    public URLStreamHandler createURLStreamHandler(String protocol)

  Specified by:
    `createURLStreamHandler` in interface `URLStreamHandlerFactory`

Copyright © 2009 The Apache Software Foundation